### Name: as.sealevel
### Title: Coerce data into sea-level dataset
### Aliases: as.sealevel
### Keywords: misc

### ** Examples

library(oce)

# Construct a year of M2 tide, starting at the default time
# 0000-01-01T00:00:00.
h <- seq(0, 24*365)
eta <- 2.0 * sin(2*pi*h/12.4172)
sl <- as.sealevel(eta)
summary(sl)

# As above, but start at the Y2K time.
t <- as.POSIXct("2000-01-01") + h * 3600
sl <- as.sealevel(eta, t)
summary(sl)



